0
Under review

Does Iridium supported OAuth2 dialog and protocole

jluc2808 2 weeks ago in Tips and Tricks updated by Vladimir Ovchinnikov 2 weeks ago 6

hello, i want to add several equipment which need to dialogue with the box using an authentification using OAuth2 protocole and exchange, token then with access_token, then need to be renew automatically after expiration_time with refresh_token.

Is there a script / plugin / routine / addon/ ... which implement this function and could be apply to any API dialog ?

thank you for answer

Under review

Hello.

For OAuth2 and encryption methods, see this discussion. The encryption documentation is here. We do not have a separate tool for implementing OAuth2.

hello, thank you for your quick reply, i just took a look at the post mentionned, but i don't see anything complete about the exchange.

The only thing i have understood is that i have to code the entire protocole by myself on javascript document, so my next question is there anybody who have already done that ?

I so (write my onwn program) i don't now if there is a simple solution to trigger the expiration_time that should execute another program to renew the access_token with the refresh_token. Is that part also need to be developped manually by my own ?

You got it right - you need to create this in Javascript. We don't have a ready-made driver or module for this. We don't know if anyone has done something similar in Javascript in i3 pro.

Hello.

Here is a script module with OAth version 1. You can see the implementation method. If we find an example of a module with OAth version 2, we will inform you additionally.

Yahoo.zip

hello vladimir , thank you for your example, the contents is for design studio, i don't find the .js attached to see what it's look like (perhaps i'm too noob to find it)

edit:  ok i find the way to edit the script attached, sorry for my poor knowledge

after a quick look, the authentication is embelded in the yahoo dialog and couldn't be setted as a template.

Yes, there are a lot of things will have to be rewritten. In addition, the attached module uses OAuth version 1.